# TMR_TagAuthentication Struct Reference

`#include <tmr_tag_auth.h>`

List of all members.

## Public Attributes

TMR_AuthType | type
TMR_GEN2_Password | gen2Password
TMR_GEN2_DENATRAN_IAV_WriteCredentials | writeCreds

## Detailed Description

Authentication data for RFID tag protocols.

## Member Data Documentation

TMR_GEN2_Password TMR_TagAuthentication::gen2Password

Gen2 authentication data

TMR_AuthType TMR_TagAuthentication::type

The type of authentication data. Indicates which member of the union is valid.

TMR_GEN2_DENATRAN_IAV_WriteCredentials TMR_TagAuthentication::writeCreds

Gen2 Denatran IAV write credential

The documentation for this struct was generated from the following file:

- tmr_tag_auth.h